Bug 1266730 - Support generic rfc2307
Support generic rfc2307
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-extension-aaa-ldap
Classification: oVirt
Component: Profile.rfc2307 (Show other bugs)
---
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-3.6.0-rc
: 1.1.0
Assigned To: Alon Bar-Lev
Ondra Machacek
infra
: Improvement
Depends On:
Blocks: 1261595
  Show dependency treegraph
 
Reported: 2015-09-26 20:47 EDT by Alon Bar-Lev
Modified: 2016-02-10 14:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
A new profile rfc2307-generic is provided to support a generic rfc-2307 schema which has no unique id attribute. GroupOfUniqueNames is unsupported in this configuration.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 08:35:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alonbl: ovirt‑3.6.0?
rule-engine: planning_ack?
alonbl: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 46740 None None None Never

  None (edit)
Description Alon Bar-Lev 2015-09-26 20:47:20 EDT
For these ldap implementations that do not have unique id for objects, we can provide unique id based on uidNumber and gidNumber filtering out the GroupOfUniqueNames as the later does not have unique attribute.
Comment 1 Red Hat Bugzilla Rules Engine 2015-10-18 04:21:56 EDT
Fixed bug tickets must have version flags set prior to fixing them. Please set the correct version flags and move the bugs back to the previous status after this is corrected.
Comment 2 Sandro Bonazzola 2015-11-04 08:35:17 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.